Bug 194072 - Domain Validation failures delay installs and boots
Domain Validation failures delay installs and boots
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
9
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
OldNeedsRetesting bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-05 12:58 EDT by J W Moorhouse
Modified: 2009-07-14 13:05 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 13:05:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description J W Moorhouse 2006-06-05 12:58:57 EDT
Description of problem:
Domain Validation is used by SCSI Host Adapters at boot and
init to determine the maximum reliable data transmission rate
of each of the SCSI peripherals attached to that card. If any
peripheral does not support Domain Validation, the Adapter will
accept the peripheral's statement of its capability (or the
value set into the SCSI BIOS by the user) and go on to the next
peripheral.
Beginning with FC4, Domain Validation was done by the software
(redundant if the Host Adapter had already done it) during the
OS installation and at each boot at about the time that the 
SCSI Drivers (aic7xxx) were being loaded. However, if the SCSI
peripheral being checked did not support Domain Validation, the
software did _not_ just move on; it made 16 more attempts for a
total of 17 attempts at 25 seconds each, thus adding over 7
minutes to the time required for an installation (and, more
importantly, for a boot) for _each_ peripheral that did not
support Domain Validation!
This "feature" needs a "Disable" option or at least a means of
limiting the number of retries.

Version-Release number of selected component (if applicable):


How reproducible:
Very (i.e., always!), unfortunately

Steps to Reproduce:
1.Install or boot with a SCSI device that doesn't support Domain Validation
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 J W Moorhouse 2006-06-05 16:39:37 EDT
This might also be assigned to the Kernel Maintenance List
Comment 2 Dave Jones 2006-10-16 15:06:13 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 3 J W Moorhouse 2006-11-13 21:35:12 EST
This bug has _not_ been fixed by the kernel update. Just upgraded to FC6, which
uses kernel 2.6.18-1.2798.fc6PAE (which presumably would include any
improvements made via the 2.6.18-1.2200.fc5 kernel version). The problem still
exists in both Anaconda and in the boot process, just as it did in FC4 and FC5.
It isn't life-threatening, but it's definitely annoying to wait 7-8 minutes to
get past one simple step in the boot process. Someone who knows their way around
the boot process should be able to fix this with a simple switch. Clue: It
didn't happen in FC3, so it probably is the result of an "improvement" in FC4
(The Law of Unintended Consequences).
Comment 4 Jon Stanley 2008-03-31 14:31:29 EDT
Removing NeedsRetesting from whiteboard so we can repurpose it.
Comment 5 Bug Zapper 2008-04-03 23:02:16 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 6 J W Moorhouse 2008-04-29 20:54:20 EDT
Have not had the opportunity to install Fedora 8 yet, but testing with both
Fedora 8 Live CD and with Fedora 8 Rescue Boot indicate that the bug still
exists. Will install Fedora 8 and advise of results at earliest opportunity.
Comment 7 Peter van Egdom 2008-05-04 07:34:56 EDT
Thank you for the bug report. Changing version from "5" to "8".
Comment 8 J W Moorhouse 2008-08-03 16:55:17 EDT
Have installed Fedora 9, and the problem still exists. Suggest a command line option to do one of the three actions below:
a) Omit the "Domain Validation" check entirely, or
b) Omit the "Domain Validation" for a specified device (because the device does not support Domain Validation), or
c) Limit the number of retries
Comment 9 Chuck Ebbert 2008-08-12 13:12:37 EDT
What messages does it print when the domain validation fails and gets retried?
Comment 10 J W Moorhouse 2008-08-13 20:23:13 EDT
The following comment appears 17 times, consuming 7 or 8 minutes:
target0:0:2 Domain Validation detected failure, dropping back

Sometimes (but not always) the following two lines appear after every fifth line of the "Domain Validation" comment:
INFO: task modprobe:425 blocked for more than 120 seconds.
"echo 0 > /proc/sys/kernel/hung_task_timeout_secs" disables this message.
Comment 11 Bug Zapper 2008-11-26 01:58:26 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 J W Moorhouse 2008-12-10 22:23:55 EST
As noted in Comment #9, I have installed Fedora 9 and the bug is still there. I've updated the Version in the Bug Description block to "9" (it was "8"); I hope it was legal for me to do that.
Comment 13 Bug Zapper 2009-06-09 18:10:32 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 14 Bug Zapper 2009-07-14 13:05:23 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.